<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: BlCtrlV2.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_bl_ctrl_v2_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">BlCtrlV2.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_bl_ctrl_v2_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef BLCTRLV2_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define BLCTRLV2_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_bldc_8h.html">Bldc.h</a>&quot;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;{</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    <span class="keyword">namespace </span>core</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    {</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;        <span class="keyword">class </span>FrameworkManager;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;        <span class="keyword">class </span>I2cPort;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    }</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <span class="keyword">namespace </span>sensor</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    {</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;        <span class="keyword">class </span>BatteryMonitor;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    }</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;}</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">class </span>BlCtrlV2_impl;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;{</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">namespace </span>actuator</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;{</div>
<div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="classframework_1_1actuator_1_1_bl_ctrl_v2.html">   39</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1actuator_1_1_bl_ctrl_v2.html">BlCtrlV2</a> : <span class="keyword">public</span> <a class="code" href="classframework_1_1actuator_1_1_bldc.html">Bldc</a></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    {</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        <span class="keyword">friend</span> class ::BlCtrlV2_impl;</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;            <a class="code" href="classframework_1_1actuator_1_1_bl_ctrl_v2.html#a41f4611d9b8cd029f5e36e7142844b9c">BlCtrlV2</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_i_o_device.html">core::IODevice</a>* parent,<a class="code" href="classframework_1_1gui_1_1_layout.html">gui::Layout</a>* layout,std::string name,uint8_t motors_count,<a class="code" href="classframework_1_1core_1_1_i2c_port.html">core::I2cPort</a>* i2cport);</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;            <a class="code" href="classframework_1_1actuator_1_1_bl_ctrl_v2.html#a8f16953c0bef53afe157b49b2115ef3b">~BlCtrlV2</a>();</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;            <a class="code" href="classframework_1_1sensor_1_1_battery_monitor.html">sensor::BatteryMonitor</a>* <a class="code" href="classframework_1_1actuator_1_1_bl_ctrl_v2.html#a582991f8fa1fa0ec1948acecd7d2db8d">GetBatteryMonitor</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div>
<div class="line"><a name="l00077"></a><span class="lineno"><a class="line" href="classframework_1_1actuator_1_1_bl_ctrl_v2.html#ac9acd49dc0b7b377154d71b73552dcc1">   77</a></span>&#160;            <span class="keywordtype">bool</span> <a class="code" href="classframework_1_1actuator_1_1_bl_ctrl_v2.html#ac9acd49dc0b7b377154d71b73552dcc1">HasSpeedMeasurement</a>(<span class="keywordtype">void</span>)<span class="keyword"> const</span>{<span class="keywordflow">return</span> <span class="keyword">true</span>;};</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div>
<div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="classframework_1_1actuator_1_1_bl_ctrl_v2.html#a586c53a76e69cf1039cbba66210bf345">   86</a></span>&#160;            <span class="keywordtype">bool</span> <a class="code" href="classframework_1_1actuator_1_1_bl_ctrl_v2.html#a586c53a76e69cf1039cbba66210bf345">HasCurrentMeasurement</a>(<span class="keywordtype">void</span>)<span class="keyword"> const</span>{<span class="keywordflow">return</span> <span class="keyword">true</span>;};</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;            <span class="keywordtype">void</span> SetMotors(<span class="keywordtype">float</span>* values);</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;            <span class="keyword">class </span>BlCtrlV2_impl* pimpl_;</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    };</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;} <span class="comment">// end namespace actuator</span></div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;<span class="preprocessor">#endif // BLCTRLV2_H</span></div>
<div class="ttc" id="classframework_1_1actuator_1_1_bldc_html"><div class="ttname"><a href="classframework_1_1actuator_1_1_bldc.html">framework::actuator::Bldc</a></div><div class="ttdoc">Base class for brushless motors drivers. </div><div class="ttdef"><b>Definition:</b> Bldc.h:39</div></div>
<div class="ttc" id="classframework_1_1core_1_1_i_o_device_html"><div class="ttname"><a href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></div><div class="ttdoc">Abstract class for input/ouput system. </div><div class="ttdef"><b>Definition:</b> IODevice.h:35</div></div>
<div class="ttc" id="classframework_1_1actuator_1_1_bl_ctrl_v2_html_a41f4611d9b8cd029f5e36e7142844b9c"><div class="ttname"><a href="classframework_1_1actuator_1_1_bl_ctrl_v2.html#a41f4611d9b8cd029f5e36e7142844b9c">framework::actuator::BlCtrlV2::BlCtrlV2</a></div><div class="ttdeci">BlCtrlV2(const core::IODevice *parent, gui::Layout *layout, std::string name, uint8_t motors_count, core::I2cPort *i2cport)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classframework_1_1gui_1_1_layout_html"><div class="ttname"><a href="classframework_1_1gui_1_1_layout.html">framework::gui::Layout</a></div><div class="ttdoc">Abstract class to display a layout on the ground station. </div><div class="ttdef"><b>Definition:</b> Layout.h:29</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_battery_monitor_html"><div class="ttname"><a href="classframework_1_1sensor_1_1_battery_monitor.html">framework::sensor::BatteryMonitor</a></div><div class="ttdoc">Base class for battery monitor. </div><div class="ttdef"><b>Definition:</b> BatteryMonitor.h:34</div></div>
<div class="ttc" id="classframework_1_1actuator_1_1_bl_ctrl_v2_html_ac9acd49dc0b7b377154d71b73552dcc1"><div class="ttname"><a href="classframework_1_1actuator_1_1_bl_ctrl_v2.html#ac9acd49dc0b7b377154d71b73552dcc1">framework::actuator::BlCtrlV2::HasSpeedMeasurement</a></div><div class="ttdeci">bool HasSpeedMeasurement(void) const </div><div class="ttdoc">Has speed measurement. </div><div class="ttdef"><b>Definition:</b> BlCtrlV2.h:77</div></div>
<div class="ttc" id="classframework_1_1actuator_1_1_bl_ctrl_v2_html"><div class="ttname"><a href="classframework_1_1actuator_1_1_bl_ctrl_v2.html">framework::actuator::BlCtrlV2</a></div><div class="ttdoc">Class for Mikrokopter&#39;s blctrlv2. </div><div class="ttdef"><b>Definition:</b> BlCtrlV2.h:39</div></div>
<div class="ttc" id="classframework_1_1actuator_1_1_bl_ctrl_v2_html_a586c53a76e69cf1039cbba66210bf345"><div class="ttname"><a href="classframework_1_1actuator_1_1_bl_ctrl_v2.html#a586c53a76e69cf1039cbba66210bf345">framework::actuator::BlCtrlV2::HasCurrentMeasurement</a></div><div class="ttdeci">bool HasCurrentMeasurement(void) const </div><div class="ttdoc">Has current measurement. </div><div class="ttdef"><b>Definition:</b> BlCtrlV2.h:86</div></div>
<div class="ttc" id="classframework_1_1core_1_1_i2c_port_html"><div class="ttname"><a href="classframework_1_1core_1_1_i2c_port.html">framework::core::I2cPort</a></div><div class="ttdoc">Base class for i2c port. </div><div class="ttdef"><b>Definition:</b> I2cPort.h:27</div></div>
<div class="ttc" id="classframework_1_1actuator_1_1_bl_ctrl_v2_html_a8f16953c0bef53afe157b49b2115ef3b"><div class="ttname"><a href="classframework_1_1actuator_1_1_bl_ctrl_v2.html#a8f16953c0bef53afe157b49b2115ef3b">framework::actuator::BlCtrlV2::~BlCtrlV2</a></div><div class="ttdeci">~BlCtrlV2()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="_bldc_8h_html"><div class="ttname"><a href="_bldc_8h.html">Bldc.h</a></div><div class="ttdoc">Base class for brushless motors drivers. </div></div>
<div class="ttc" id="classframework_1_1actuator_1_1_bl_ctrl_v2_html_a582991f8fa1fa0ec1948acecd7d2db8d"><div class="ttname"><a href="classframework_1_1actuator_1_1_bl_ctrl_v2.html#a582991f8fa1fa0ec1948acecd7d2db8d">framework::actuator::BlCtrlV2::GetBatteryMonitor</a></div><div class="ttdeci">sensor::BatteryMonitor * GetBatteryMonitor(void) const </div><div class="ttdoc">Get battery monitor. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_ebc679b331e9832181885980c13d7a0f.html">SensorActuator</a></li><li class="navelem"><a class="el" href="dir_a3adf9203c955b1977c072f893948685.html">src</a></li><li class="navelem"><a class="el" href="_bl_ctrl_v2_8h.html">BlCtrlV2.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
